> ## Documentation Index
> Fetch the complete documentation index at: https://help.teable.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Post adminv2 rolloutjobs rollback

> Rollback spaces switched by an EE v2 rollout switch job

Required token scopes: `instance|update`



## OpenAPI

````yaml /swagger.json post /admin/v2-rollout/jobs/{jobId}/rollback
openapi: 3.0.0
info:
  version: 1.0.0
  title: Teable App
  description: Manage Data as easy as drink a cup of tea
  x-logo:
    backgroundColor: '#F0F0F0'
    altText: Teable logo
servers:
  - url: https://app.teable.ai/api
security: []
tags:
  - name: base
    x-group: project
  - name: base node
    x-group: project node
  - name: base-share
    x-group: project-share
paths:
  /admin/v2-rollout/jobs/{jobId}/rollback:
    post:
      tags:
        - admin
      description: |-
        Rollback spaces switched by an EE v2 rollout switch job

        Required token scopes: `instance|update`
      parameters:
        - schema:
            type: string
          required: true
          name: jobId
          in: path
      responses:
        '200':
          description: Updated v2 rollout job
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  type:
                    type: string
                    enum:
                      - prepare
                      - switch
                      - full
                  status:
                    type: string
                    enum:
                      - pending
                      - running
                      - paused
                      - completed
                      - completed_with_blocks
                      - failed
                      - canceled
                  phase:
                    type: string
                    nullable: true
                    enum:
                      - inventory
                      - checking
                      - repairing
                      - verifying
                      - switching
                  mode:
                    type: string
                    enum:
                      - dry_run
                      - repair
                      - switch_space
                      - switch_global
                  options:
                    nullable: true
                  totalSpaces:
                    type: number
                  totalBases:
                    type: number
                  readySpaces:
                    type: number
                  readyBases:
                    type: number
                  blockedSpaces:
                    type: number
                  blockedBases:
                    type: number
                  failedSpaces:
                    type: number
                  failedBases:
                    type: number
                  skippedSpaces:
                    type: number
                  skippedBases:
                    type: number
                  switchedSpaces:
                    type: number
                  error:
                    type: string
                    nullable: true
                  createdBy:
                    type: string
                    nullable: true
                  createdTime:
                    type: string
                  startedTime:
                    type: string
                    nullable: true
                  finishedTime:
                    type: string
                    nullable: true
                  lastEventSeq:
                    type: number
                required:
                  - id
                  - type
                  - status
                  - mode
                  - totalSpaces
                  - totalBases
                  - readySpaces
                  - readyBases
                  - blockedSpaces
                  - blockedBases
                  - failedSpaces
                  - failedBases
                  - skippedSpaces
                  - skippedBases
                  - switchedSpaces
                  - createdTime
                  - lastEventSeq
      security:
        - bearerAuth: []
      x-codeSamples:
        - lang: Shell
          source: |-
            curl --request POST \
              --url https://app.teable.ai/api/admin/v2-rollout/jobs/%7BjobId%7D/rollback \
              --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'
        - lang: JavaScript
          source: >-
            const url =
            'https://app.teable.ai/api/admin/v2-rollout/jobs/%7BjobId%7D/rollback';

            const options = {method: 'POST', headers: {Authorization: 'Bearer
            REPLACE_BEARER_TOKEN'}};


            try {
              const response = await fetch(url, options);
              const data = await response.json();
              console.log(data);
            } catch (error) {
              console.error(error);
            }
        - lang: Node.js
          source: |-
            const http = require('https');

            const options = {
              method: 'POST',
              hostname: 'app.teable.ai',
              port: null,
              path: '/api/admin/v2-rollout/jobs/%7BjobId%7D/rollback',
              headers: {
                Authorization: 'Bearer REPLACE_BEARER_TOKEN'
              }
            };

            const req = http.request(options, function (res) {
              const chunks = [];

              res.on('data', function (chunk) {
                chunks.push(chunk);
              });

              res.on('end', function () {
                const body = Buffer.concat(chunks);
                console.log(body.toString());
              });
            });

            req.end();
        - lang: Python
          source: >-
            import http.client


            conn = http.client.HTTPSConnection("app.teable.ai")


            headers = { 'Authorization': "Bearer REPLACE_BEARER_TOKEN" }


            conn.request("POST",
            "/api/admin/v2-rollout/jobs/%7BjobId%7D/rollback", headers=headers)


            res = conn.getresponse()

            data = res.read()


            print(data.decode("utf-8"))
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````